<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <project-push-set-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></project-push-set-form>
  </j-modal>
</template>

<script>
  import ProjectPushSetForm from './ProjectPushSetForm'
  export default {
    name: 'ProjectPushSetModal',
    components: {
      ProjectPushSetForm
    },
    data () {
      return {
        title:'',
        width:800,
        visible: false,
        disableSubmit: false,
      }
    },
    created(){
      this.initRoleList()
    },
    methods: {
      //初始化角色字典
      initRoleList(){
      },
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>